Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version: 4.2.3

Description

Mailer.with_synched_deliveries source:/trunk/app/models/mailer.rb@21350#L639 will not detect other async queue adapters than

the Rails core ActiveJob::QueueAdapters::AsyncAdapter (such as those used by external queuing systems such as the

DelayedJobAdapter, ResqueAdapter or SidekiqAdapter).

With these queue adapters in normal use, Mailer.with_synched_deliveries does nothing. This can lead to problems as it is expected

that email deliveries (in our case daily reminders) would run inline but instead they were attempted to be scheduled using the normal

queue adapter.

Related issues:

Related to Redmine - Defect #36395: Mailer.with_synched_deliveries is not thr... New

Associated revisions

Revision 21362 - 2022-01-12 16:13 - Go MAEDA

Mailer.with_synched_deliveries doesn't correctly detect other async Queue adapters (#36393).

Patch by Felix Schäfer.

History

#1 - 2022-01-06 15:56 - Felix Schäfer

- File 36393-synched_deliveries_always_inline.patch added

The attached patch simply removes the check for the ActiveJob::QueueAdapters::AsyncAdapter. This ensures deliveries in this context are always

inline without trying to be clever about it.

#2 - 2022-01-06 17:06 - Holger Just

- Description updated

- Status changed from New to Confirmed

#3 - 2022-01-06 17:13 - Holger Just

- Related to Defect #36395: Mailer.with_synched_deliveries is not thread-safe added

#4 - 2022-01-11 00:33 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#5 - 2022-01-12 16:13 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.
